# OSGeo::FDO::Commands::LongTransaction::IChangeLongTransactionPrivilegesImp Class Reference
[OSGeo::FDO::Commands::LongTransaction]

Inheritance diagram for OSGeo::FDO::Commands::LongTransaction::IChangeLongTransactionPrivilegesImp:

[legend]

List of all members.

## Detailed Description

The IChangeLongTransactionPrivilegesImp class is a concrete implementation of IChangeLongTransactionPrivileges. The IChangeLongTransactionPrivileges interface defines the ChangeLongTransactionPrivileges command, which grants or revokes long transaction privileges for the named user. The ability to change the privileges might be restricted by the datastore security if the long transaction doesn’t belong to the user executing the command.

()

## Public Member Functions
System::Void | Execute ()
| Executes the ChangeLongTransactionPrivilege command.
__property System::String * | get_LongTransactionName ()
| Gets the name of the long transaction for which privileges should be changed.
__property OSGeo::FDO::Commands::LongTransaction::LongTransactionPrivilegeOperations | get_Operation ()
| Gets the operation to perform, grant, or revoke.
__property System::Int32 | get_Privileges ()
| Gets the privilege flags to grant or revoke.The returned value may be any combination of the values from the LongTransactionPrivileges enumeration combined via a bit-wise or operation.
__property System::String * | get_UserName ()
| Gets the name of the user for which to grant or revoke privileges.
__property System::Void | set_LongTransactionName (System::String *value)
| Sets the name of the long transaction for which privileges should be changed.
__property System::Void | set_Operation (OSGeo::FDO::Commands::LongTransaction::LongTransactionPrivilegeOperations value)
| Sets the operation to perform, grant, or revoke.
__property System::Void | set_Privileges (System::Int32 value)
| Sets the privilege flags to grant or revoke. The privileges value may be any combination of the values from the LongTransactionPrivileges enumeration combined via a bit-wise or operation.
__property System::Void | set_UserName (System::String *value)
| Sets the name of the user for which to grant or revoke privileges.